NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Facet.RemeshFacetBodyBuilder Class Reference

Represents a NXOpen.Facet.RemeshFacetBodyBuilder . More...

Inheritance diagram for NXOpen.Facet.RemeshFacetBodyBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  RemeshModeType { Constant, Variable }
 Remesh mode definitions More...
 
enum  SharpEdgesLockType { NoLock, SoftLock, HardLock }
 Sharp Edges lock definitions More...
 

Properties

unsafe double AngularThreshold [get, set]
 Returns or sets the AngularThreshold for remesh More...
 
unsafe NXOpen.Expression AverageSize [get]
 Returns the AverageSize for remesh More...
 
unsafe double ChordalTolerance [get, set]
 Returns or sets the ChordalTolerance for remesh More...
 
unsafe NXOpen.FacetCollector FacetRegion [get]
 Returns the facets to be remeshed More...
 
unsafe bool IsEditCopy [get, set]
 Returns or sets the option to create a non-associative copy of the selected body and edit that copy More...
 
unsafe bool IsLockBoundary [get, set]
 Returns or sets the option to lock boundary of remesh regions More...
 
unsafe bool IsShowDeviationPlot [get, set]
 Returns or sets the option to show deviation plot More...
 
unsafe NXOpen.Expression MaximumSize [get]
 Returns the MaximumSize for remesh More...
 
unsafe
NXOpen.Facet.RemeshFacetBodyBuilder.RemeshModeType 
RemeshMode [get, set]
 Returns or sets the Mode for remesh More...
 
unsafe
NXOpen.Facet.RemeshFacetBodyBuilder.SharpEdgesLockType 
SharpEdgesLockOption [get, set]
 Returns or sets the Option for sharp edges lock type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Facet.RemeshFacetBodyBuilder .

This class remeshes selected facet regions to specified density.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateRemeshFacetBodyBuilder

Default values.

Property Value

AngularThreshold

30

AverageSize.Value

5 (millimeters part), 0.2 (inches part)

ChordalTolerance

0.1 (millimeters part), 0.004 (inches part)

IsEditCopy

0

IsLockBoundary

0

IsShowDeviationPlot

0

MaximumSize.Value

5 (millimeters part), 0.2 (inches part)

RemeshMode

Constant

SharpEdgesLockOption

NoLock

Created in NX1847.0.0

Member Enumeration Documentation

Remesh mode definitions

Enumerator
Constant 
Variable 

Sharp Edges lock definitions

Enumerator
NoLock 
SoftLock 
HardLock 

Property Documentation

unsafe double NXOpen.Facet.RemeshFacetBodyBuilder.AngularThreshold
getset

Returns or sets the AngularThreshold for remesh

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Facet.RemeshFacetBodyBuilder.AverageSize
get

Returns the AverageSize for remesh

Created in NX1847.0.0

License requirements: None.

unsafe double NXOpen.Facet.RemeshFacetBodyBuilder.ChordalTolerance
getset

Returns or sets the ChordalTolerance for remesh

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.FacetCollector NXOpen.Facet.RemeshFacetBodyBuilder.FacetRegion
get

Returns the facets to be remeshed

Created in NX1847.0.0

License requirements: None.

unsafe bool NXOpen.Facet.RemeshFacetBodyBuilder.IsEditCopy
getset

Returns or sets the option to create a non-associative copy of the selected body and edit that copy

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe bool NXOpen.Facet.RemeshFacetBodyBuilder.IsLockBoundary
getset

Returns or sets the option to lock boundary of remesh regions

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe bool NXOpen.Facet.RemeshFacetBodyBuilder.IsShowDeviationPlot
getset

Returns or sets the option to show deviation plot

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Expression NXOpen.Facet.RemeshFacetBodyBuilder.MaximumSize
get

Returns the MaximumSize for remesh

Created in NX1847.0.0

License requirements: None.

unsafe NXOpen.Facet.RemeshFacetBodyBuilder.RemeshModeType NXOpen.Facet.RemeshFacetBodyBuilder.RemeshMode
getset

Returns or sets the Mode for remesh

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")

unsafe NXOpen.Facet.RemeshFacetBodyBuilder.SharpEdgesLockType NXOpen.Facet.RemeshFacetBodyBuilder.SharpEdgesLockOption
getset

Returns or sets the Option for sharp edges lock type

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: nx_polygon_modeling (" NX Polygon Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.